require 'psp/toolchain/error'

module PSP
  module Toolchain
    module Errors
      
      # Raised when the directory given for the :prefix option does not exist.
      class InvalidPrefix < Error
        
        # @params [#[]] options The options containing :prefix.
        # @option options [String] :prefix The prefix directory.
        # @return [Pathname] The prefix value converted into a Pathname.
        def self.check(options)
          Pathname.new( options[:prefix] ).expand_path.tap { |prefix| raise self unless prefix.exist? }
        end
        
        # @return [String] The error message.
        def to_s
          'prefix directory does not exist'
        end
      
      end
      
    end 
  end
end
